Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Problem with package manager

  1. #1

    Default Problem with package manager

    I have recently installed 11.2 on my laptop and am having problems with installing flashplayer.
    What happens is I go to install software, select flashplayer to be installed, click apply and the stupid things starts downloading all the upgradable programs. I have not selected any of these to be upgraded as I only have 600mb of downloading left to last me 10 days and won't waste it on upgrading. Is there a reason for the package manager installing programs that aren't selected?? Is there a way to use Install Software without this happening??

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Problem with package manager

    in a su - terminal

    try

    Code:
    zypper in flash-player
    Become su in Terminal - HowTo - openSUSE Forums
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Problem with package manager

    Thanks caf4926 but this is all I get.. ian-lappy ian # zypper in flash-player
    bash: zypper: command not found

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Problem with package manager

    Very strange.

    Please post result of:

    Code:
    uname -a
    and

    Code:
    cat /etc/SuSE-release
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Problem with package manager

    Got it sorted. I was actually on another machine which has Mint on it when I read your response and without thinking about it ran the command. . The zypper command won't work on a Ubuntu based distro.
    Thanks for the work around.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Problem with package manager

    Quote Originally Posted by aussie_ian View Post
    Got it sorted. I was actually on another machine which has Mint on it when I read your response and without thinking about it ran the command. . The zypper command won't work on a Ubuntu based distro.
    Thanks for the work around.
    Dude.........! You had me going there.
    No worries
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Problem with package manager

    So could someone tell me whether this thing with forced updates is a bug or meant to be that way. Or is there some way I can select what I wish to install or not.
    I have been using Suse in 1 form or another since version 9 and don't remember ever being forced to install nearly 500mb of updates to get flashplayer.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Problem with package manager

    It's meant to be that way.
    It's meant to bring in dependencies and complimentary packages.

    I mostly just let it rip, but I guess it could be a pain if you are a dial up connection or something. I think you have to manually de-select stuff you don't want.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Problem with package manager

    Quote Originally Posted by caf4926 View Post
    It's meant to be that way.
    It's meant to bring in dependencies and complimentary packages.
    The thing is it's not just picking up dependencies of what I want to install..It wants to install all upgradeable programs.

    I mostly just let it rip, but I guess it could be a pain if you are a dial up connection or something. I think you have to manually de-select stuff you don't want.
    I've tried deselecting/locking all upgradeable packages but as soon as I cick apply it starts downloading all available updates.

  10. #10
    JosephKK NNTP User

    Default Re: Problem with package manager

    On Sat, 01 May 2010 11:36:02 GMT, aussie ian
    <aussie_ian@no-mx.forums.opensuse.org> wrote:

    >
    >caf4926;2159742 Wrote:
    >> It's meant to be that way.
    >> It's meant to bring in dependencies and complimentary packages.The thing is it's not just picking up dependencies of what I want to

    >install..It wants to install all upgradeable programs.
    >
    >> I mostly just let it rip, but I guess it could be a pain if you are a
    >> dial up connection or something. I think you have to manually de-select
    >> stuff you don't want.I've tried deselecting/locking all upgradeable packages but as soon as I

    >cick apply it starts downloading all available updates.


    You may wish to install an older version of flash. Try oldversion.com.
    Or is it .org?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •